package com.bjsxt.servlet;

import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Enumeration;

/**
 * ServletContext对象读取web.xml文件中的信息
 */
public class ContextReadInfoServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        ServletContext servletContext=this.getServletContext();
        Enumeration<String> names =servletContext.getInitParameterNames();
        PrintWriter out=resp.getWriter();
        out.println("<!DOCTYPE HTML>");
        out.println("<html>");
        out.println("<head><title>ITBZ</title></head>");
        out.println("<body>");
        while(names.hasMoreElements()){
            String name=names.nextElement();
            out.println("param-name:"+name+" "+"param-value:"+servletContext.getInitParameter(name)+"<br/>");
        }

        out.println("</body>");
        out.println("</html>");
        out.flush();
        out.close();
    }
}
