package com.bjsxt.servlet;

import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Arrays;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;

public class GetBaseInfoServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        resp.setContentType("text/html;charset=utf-8");
        ServletContext servletContext=this.getServletContext();
        String servletInfo=servletContext.getServerInfo();//获得容器名称及版本
        int majorVersion=servletContext.getMajorVersion();//获得容器所支持的servlet主版本号
        int minorVersion=servletContext.getMinorVersion();//获得容器所支持的servlet副版本号
        PrintWriter out=resp.getWriter();
        out.println("<!DOCTYPE HTML>");
        out.println("<html>");
        out.println("<head><title>ITBZ</title></head>");
        out.println("<body>");
        out.println("容器名称及版本:"+servletInfo+"<br/>"+"容器所支持的servlet主副版本："+majorVersion
        +"  "+minorVersion);

        out.println("</body>");
        out.println("</html>");
        out.flush();
        out.close();
    }
}
