package com.bjsxt.servlet;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Arrays;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;

public class RespCharacterServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        /*setContentType()方法比setCharacterEncoding()方法的权限大
          setContentType()实现tomcat到网络以及网络到客户端字节与字符的转换
          setCharacterEncoding()实现tomcat到网络字节与字符的转换
         */
        resp.setContentType("text/plain;charset=utf-8");
        PrintWriter out=resp.getWriter();
        out.println("<!DOCTYPE HTML>");
        out.println("<html>");
        out.println("<head><title>ITBZ</title></head>");
        out.println("<body>");
        out.println("你好，尚学堂");
        out.println("</body>");
        out.println("</html>");
        out.flush();
        out.close();
    }
}
