package com.bjsxt.servlet;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.io.IOException;
import java.io.PrintWriter;

public class CreateHttpSessionServlet extends HttpServlet {
    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        String header=req.getHeader("User-Agent");
        HttpSession session=req.getSession(true);//当参数为false当从此界面打开的浏览器的时候，index.jsp中默认的有sessionId，所以不会报错，但是如果自己打开的浏览器发出请求，则会出现报错
        if(header.indexOf("Chrome")>=0){
            session.setAttribute("key","BJSXT-chrome");
            session.invalidate();//只销毁当前的httpSession
        }else{
            session.setAttribute("key","IE");

        }

        String id=session.getId();
        System.out.println(session+" "+id);
        PrintWriter out=resp.getWriter();
        out.println("<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.0 Transitional//EN'>");
        out.println("<HTML>");
        out.println("<HEAD><TITLE> ITBZ </TITLE></HEAD>");
        out.println("<BODY>");
        out.println("Create HttpSession"+id);
        out.println("</BODY>");
        out.println("</HTML>");
        out.flush();
        out.close();
    }

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        this.doPost(req,resp);
    }
}
