package com.bjsxt.servlet;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.*;

public class GetRequestDataServlet extends HttpServlet {
    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        req.setCharacterEncoding("utf-8");
        //根据key获取指定的value
        String username=req.getParameter("username");
        //String name=new String(username.getBytes("iso-8859-1"),"utf-8");
        System.out.println(username);
        //获取复选框（checkbox组件）中的值，放回一个String[]
        String[] hobbys=req.getParameterValues("hobby");
        //获取请求中的数据的key，该方法返回一个枚举类型
        Enumeration<String> parameterNames=req.getParameterNames();
        List<String> keys=new ArrayList<>();
        while(parameterNames.hasMoreElements()){
            keys.add(parameterNames.nextElement());
        }

        List<String> list= Arrays.asList(hobbys);
        PrintWriter out=resp.getWriter();
        out.println("<!DOCTYPE HTML>");
        out.println("<html>");
        out.println("<head><title>ITBZ</title></head>");
        out.println("<body>");
        out.println("Username:"+username+"<br/>"+"hobby:"+list+"<br/>"+"key:"+keys+"<br/>");
        //获取请求中所有的数据存放到一个Map结构中，该方法返回一个Map,其中key为String,value为String[]类型
        Map<String,String[]> parameterMap=req.getParameterMap();
        Set<Map.Entry<String,String[]>> entrySet=parameterMap.entrySet();
        Iterator<Map.Entry<String,String[]>> entryIterator=entrySet.iterator();
        while(entryIterator.hasNext()){
            Map.Entry<String,String[]> entry=entryIterator.next();
            String key=entry.getKey();
            String[] values=entry.getValue();
            out.println("key:"+key+"  "+"value:"+Arrays.asList(values)+"<br/>");

        }

        out.println("</body>");
        out.println("</html>");
        out.flush();
        out.close();
    }
}
