package com.bjsxt.servlet;

import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebInitParam;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;

@WebServlet(urlPatterns="/initParam.do",initParams = {@WebInitParam(name="key1",value="value1"),@WebInitParam(name="key2",value="value2")},loadOnStartup = 1)
public class InitParamServlet extends HttpServlet {
    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        ServletConfig servletConfig=this.getServletConfig();
        PrintWriter out=resp.getWriter();
        out.println("<HTML>");
        out.println("<HEAD><TITLE> ITBZ </TITLE></HEAD>");
        out.println("<BODY>");
        out.println("Value1: "+servletConfig.getInitParameter("key1")+"<br/>");
        out.println("Value2: "+servletConfig.getInitParameter("key2")+"<br/>");
        out.println("</BODY>");
        out.println("</HTML>");
        out.flush();
        out.close();
    }

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        this.doPost(req,resp);
    }

    @Override
    public void init() throws ServletException {
        ServletConfig servletConfig=this.getServletConfig();
        String value1=servletConfig.getInitParameter("key1");
        String value2=servletConfig.getInitParameter("key2");
        System.out.println(value1+"........."+value2);
    }
}
